# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_Array1OfLayeredItem Class Reference

`#include <StepVisual_Array1OfLayeredItem.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_Array1OfLayeredItem (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepVisual_Array1OfLayeredItem (const StepVisual_LayeredItem &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const StepVisual_LayeredItem &V)
Standard_EXPORT void | Destroy ()
| ~StepVisual_Array1OfLayeredItem ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const StepVisual_Array1OfLayeredItem & | Assign (const StepVisual_Array1OfLayeredItem &Other)
const StepVisual_Array1OfLayeredItem & | operator= (const StepVisual_Array1OfLayeredItem &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const StepVisual_LayeredItem &Value)
const StepVisual_LayeredItem & | Value (const Standard_Integer Index) const
const StepVisual_LayeredItem & | operator() (const Standard_Integer Index) const
StepVisual_LayeredItem & | ChangeValue (const Standard_Integer Index)
StepVisual_LayeredItem & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | StepVisual_Array1OfLayeredItem (const StepVisual_Array1OfLayeredItem &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_Array1OfLayeredItem::StepVisual_Array1OfLayeredItem | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepVisual_Array1OfLayeredItem::StepVisual_Array1OfLayeredItem | ( | const StepVisual_LayeredItem & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

StepVisual_Array1OfLayeredItem::~StepVisual_Array1OfLayeredItem | ( |  | ) | `[inline]`

Standard_EXPORT StepVisual_Array1OfLayeredItem::StepVisual_Array1OfLayeredItem | ( | const StepVisual_Array1OfLayeredItem & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const StepVisual_Array1OfLayeredItem& StepVisual_Array1OfLayeredItem::Assign | ( | const StepVisual_Array1OfLayeredItem & | Other | ) |

StepVisual_LayeredItem& StepVisual_Array1OfLayeredItem::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StepVisual_Array1OfLayeredItem::Destroy | ( |  | ) |

Standard_EXPORT void StepVisual_Array1OfLayeredItem::Init | ( | const StepVisual_LayeredItem & | V | ) |

Standard_Boolean StepVisual_Array1OfLayeredItem::IsAllocated | ( |  | ) | const

Standard_Integer StepVisual_Array1OfLayeredItem::Length | ( |  | ) | const

Standard_Integer StepVisual_Array1OfLayeredItem::Lower | ( |  | ) | const

void StepVisual_Array1OfLayeredItem::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StepVisual_Array1OfLayeredItem::operator new | ( | size_t | size | ) | `[inline]`

void* StepVisual_Array1OfLayeredItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

StepVisual_LayeredItem& StepVisual_Array1OfLayeredItem::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const StepVisual_LayeredItem& StepVisual_Array1OfLayeredItem::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StepVisual_Array1OfLayeredItem& StepVisual_Array1OfLayeredItem::operator= | ( | const StepVisual_Array1OfLayeredItem & | Other | ) | `[inline]`

void StepVisual_Array1OfLayeredItem::SetValue | ( | const Standard_Integer | Index,
|  | const StepVisual_LayeredItem & | Value
| ) |

Standard_Integer StepVisual_Array1OfLayeredItem::Upper | ( |  | ) | const

const StepVisual_LayeredItem& StepVisual_Array1OfLayeredItem::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean StepVisual_Array1OfLayeredItem::isAllocated `[private]`

Standard_Integer StepVisual_Array1OfLayeredItem::myLowerBound `[private]`

Standard_Address StepVisual_Array1OfLayeredItem::myStart `[private]`

Standard_Integer StepVisual_Array1OfLayeredItem::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- StepVisual_Array1OfLayeredItem.hxx